<?php
define('GCMS',true);
define('ROOT','../');
require_once (ROOT.'system/power.php');
if ($aut) {
if ($ya['level'] == 7) {
switch($mode) {
////Заголовки
case 'newza':
$diz -> head('Заголовоки');
$diz -> title('Новый заголовок');
if (empty($_POST['name'])) {
$msg .= '<div class="fon"><form action="main.php?mode=newza" method="post"><div>
Название:<br/><input type="text" name="name" value="" maxlength="24"/>
<br/><input type="submit" value="Добавить"/></form></div>';
} else {
$maxsid = $db -> dbcount('MAX(`sid`)','menu');
$name =shit($_POST['name']); 
$db -> query("Insert `menu` SET `name` = '".$name."',`tip` = 'zaga',`sid`=$maxsid+1,`time` = '".time()."'");
$msg .= '<div class="fon">Заголовок '.$_POST['name'].' успешно добавлен в меню!</div>';
}
$msg .= '</div><div class="levo">'.$diz -> img('back.png').'<a href="main.php">Назад</a>';
$msg .= '</br>'.$diz -> img('back.png').'<a href="./">Админка</a>';
$msg .= '<br/>'.$diz -> img('home.png').'<a href="../index.php">На главную</a></div>';
#####Копирайт#######
require_once (ROOT.'system/kopy.php');
$diz -> out($msg);
break;  
case 'zaga':
$sql = $db -> query("SELECT * FROM `menu` WHERE `id` = '".$id."'");
if ($sql -> num_rows > 0) {
$menu = $sql -> fetch_assoc();
$diz -> head('Заголовки');
$diz -> title('Изменяем заголовок');
if (empty($_POST['name'])) {
$msg .= '<div class="fon">Положение: #'.$menu['sid'].'<hr/>';
$msg .= '<form action="main.php?mode=za&amp;id='.$id.'" method="post"><div>
Заголовок:<br/><input type="text" name="name" value="'.$menu['name'].'" maxlength="24"/>
<br/><input type="submit" value="Изменить"/></form></div>';
} else {
$name = shit($_POST['name']); 
$db -> query("UPDATE `menu` SET `name` = '".$name."' WHERE `id` = '".$id."'");
$msg .= '<div class="fon">Изменения приняты!</div>';
}
$msg .= '</div><div class="levo">'.$diz -> img('back.png').'<a href="main.php">Назад</a>';
$msg .= '</br>'.$diz -> img('back.png').'<a href="./">Админка</a>';
$msg .= '<br/>'.$diz -> img('home.png').'<a href="../index.php">На главную</a></div>';
#####Копирайт#######
require_once (ROOT.'system/kopy.php');
$diz -> out($msg);
} else header('Location: ./main.php');
break;
////Модули
case 'new':
$diz -> head('Дополнительные модули');
$diz -> title('Новый модуль');
if (empty($_POST['name']) || empty($_POST['url']) || empty($_POST['icon'])) {
include_once (ROOT.'styles/'.$nastr['ststyle'].'/icon.php');
foreach ($array as $key => $value) {
$stat .= '<option value="'.$key.'">'.$value.'</option>';
}
$msg .= '<div class="fon"><form action="main.php?mode=new" method="post"><div>
Название:<br/><input type="text" name="name" value="" maxlength="24"/></br>';
$msg .= 'Ссылка:<br/><input type="text" name="url" value="" maxlength="80"/></br>';
$msg .= 'Счётчик:<br/><input type="text" name="chet" value="" maxlength="80"/></br>';
$msg .= 'Иконка:</br><select name="icon">'.$stat.'</select>
<br/><input type="submit" value="Добавить"/></form></div>';
} else {
$maxsid = $db -> dbcount('MAX(`sid`)','menu');
$name =shit($_POST['name']); 
$icon = shit($_POST['icon']); 
$chet = shit($_POST['chet']); 
$url = shit($_POST['url']); 
$db -> query("Insert `menu` SET `name` = '".$name."',`url` = '".$url."',`icon` = '".$icon."',`chet` = '".$chet."',`tip` = 'link',`sid`=$maxsid+1,`time` = '".time()."'");
$msg .= '<div class="fon">Модуль '.$_POST['name'].' успешно добавлен!</div>';
}
$msg .= '</div><div class="levo">'.$diz -> img('back.png').'<a href="main.php">Назад</a>';
$msg .= '</br>'.$diz -> img('back.png').'<a href="./">Админка</a>';
$msg .= '<br/>'.$diz -> img('home.png').'<a href="../index.php">На главную</a></div>';
#####Копирайт#######
require_once (ROOT.'system/kopy.php');
$diz -> out($msg);
break;  

case 'menu':
$sql = $db -> query("SELECT * FROM `menu` WHERE `id` = '".$id."'");
if ($sql -> num_rows > 0) {
$menu = $sql -> fetch_assoc();
$diz -> head('Пункт меню');
$diz -> title('Изменяем данные');
if (empty($_POST['name']) || empty($_POST['url']) || empty($_POST['icon'])) {
include_once (ROOT.'styles/'.$nastr['ststyle'].'/icon.php');
$stat = null;
foreach ($array as $key => $value) {
if ($menu['icon'] == $key) $stat .= '<option selected value="'.$key.'">'.$value.'</option>';
else $stat .= '<option value="'.$key.'">'.$value.'</option>';
}
$msg = '<div class="fon">Модуль: '.$menu['name'].'<br/>';
$msg .= 'Положение: #'.$menu['sid'].'<hr>';

$msg .= '<form action="main.php?mode=menu&amp;id='.$id.'" method="post"><div>
Название:<br/><input type="text" name="name" value="'.$menu['name'].'" maxlength="24"/></br>';
$msg .= 'Ссылка:<br/><input type="text" name="url" value="'.$menu['url'].'" maxlength="80"/></br>';
$msg .= 'Счётчик:<br/><input type="text" name="chet" value="'.$menu['chet'].'" maxlength="80"/></br>';
$msg .= 'Иконка:</br><select name="icon">'.$stat.'</select>
<br/><input type="submit" value="Изменить"/></form></div>';
} else {
$name = shit($_POST['name']); 
$icon = shit($_POST['icon']); 
$chet = shit($_POST['chet']); 
$url = shit($_POST['url']); 
$db -> query("UPDATE `menu` SET `name` = '".$name."',`url` = '".$url."',`icon` = '".$icon."',`chet` = '".$chet."' WHERE `id` = '".$id."'");
$msg .= '<div class="fon">Изменения приняты!</div>';
}
$msg .= '</div><div class="levo">'.$diz -> img('back.png').'<a href="main.php">Назад</a>';
$msg .= '</br>'.$diz -> img('back.png').'<a href="./">Админка</a>';
$msg .= '<br/>'.$diz -> img('home.png').'<a href="../index.php">На главную</a></div>';
#####Копирайт#######
require_once (ROOT.'system/kopy.php');
$diz -> out($msg);
} else header('Location: ./main.php?do=menu');
break;

case 'del':
$sql = $db -> query("SELECT * FROM `menu` WHERE `id` = '".$id."'");
if ($sql -> num_rows > 0) {
switch($do) {
case 'yes':
$db -> query("DELETE FROM `menu` where `id` = '".$id."'");
$diz -> head('Удаление модуля');
$diz -> title('Управление модулями');
$msg .= '<div class="fon">Модуль был успешно удалён!</div>';
$msg .= '<div class="levo">'.$diz -> img('back.png').'<a href="main.php">Назад</a>';
$msg .= '</br>'.$diz -> img('back.png').'<a href="./">Админка</a>';
$msg .= '<br/>'.$diz -> img('home.png').'<a href="../index.php">На главную</a></div>';
#####Копирайт#######
require_once (ROOT.'system/kopy.php');
$diz -> out($msg);
break;
default:
$diz -> head('Удаление модуля');
$diz -> title('Удаление модуля');
$msg .= '<div class="fon">Вы уверены,что хотите удалить данный модуль?';
$msg .= '<br/><a href="./main.php?mode=del&amp;do=yes&amp;id='.$id.'">Да</a> | ';
$msg .= '<a href="./main.php">Нет</a></div>';
#####Копирайт#######
require_once (ROOT.'system/kopy.php');
$diz -> out($msg);}
} else header('Location: ./main.php');
break;

case 'up':
$sql = $db -> query("SELECT * FROM `menu` WHERE `id` = '".$id."'");
if ($sql -> num_rows > 0) {
$db -> query("UPDATE `menu` SET `sid`=sid-1 WHERE `id` = '".$id."'");
header('Location: ./main.php?do=menu');
} else header('Location: ./main.php');
break;

case 'foot':
$sql = $db -> query("SELECT * FROM `menu` WHERE `id` = '".$id."'");
if ($sql -> num_rows > 0) {
$db -> query("UPDATE `menu` SET `sid`=sid+1 WHERE `id` = '".$id."'");
header('Location: ./main.php?do=menu');
} else header('Location: ./main.php');
break;

default:
$diz -> head('Дополнительные модули');
$diz -> title('Дополнительные модули');
$sql = $db -> query("SELECT * FROM `menu` ORDER BY `sid`");
while ($menu = $sql -> fetch_assoc()) {
$msg.='<div class="spisok">';
if($menu['tip']=='link'){$msg .= $diz -> img(''.$menu['icon'].'').'';} $msg.=' '.$menu['sid'].') '.$menu['name'].''; if($menu['tip']=='link'){$msg.='('.$menu['url'].')</br>';}
if($menu['tip']=='link'){
    if($menu['chet']==''){$msg .='Счёткик: Не устанновлен!';}else{$msg .='Счёткик: '.$menu['chet'].'';}}
if($menu['tip']=='link'){
$msg .='</br><a href="./main.php?mode=menu&amp;id='.$menu['id'].'">Редактировать</a>';}else{
$msg .='</br><a href="./main.php?mode=zaga&amp;id='.$menu['id'].'">Редактировать</a>';
} $msg.=' | <a href="./main.php?mode=del&amp;id='.$menu['id'].'">Удалить</a></br>';
$msg .='Передвинуть: <a href="./main.php?mode=up&amp;id='.$menu['id'].'">Вверх</a> | <a href="./main.php?mode=foot&amp;id='.$menu['id'].'">Вниз</a>';
$msg.='</div>';}
$msg .= '<div class="tochechki"><a href="./main.php?mode=new">Добавить модуль</a></br>';
$msg .= '<a href="./main.php?mode=newza">Добавить заголовок</a></div>';
$msg .= '<div class="levo">'.$diz -> img('back.png').'<a href="./">Админка</a>';
$msg .= '<br/>'.$diz -> img('home.png').'<a href="../">На главную</a></div>';
#####Копирайт#######
require_once (ROOT.'system/kopy.php');
$diz -> out($msg);
}
}else{$msg .='У вас нету прав!';}
} else header('location: index.php');
?>